Subject: IPP Re: Revised Charter Text

From: Carl-Uno Manros <[email-masked]>
Date: Wed, 13 Nov 1996 09:54:20 PST

Harald,

you are absolutely right. This charter document was written for the PWG
rather than the IETF at this stage, and is probably a bit too chatty for a
charter document in general. 

I realize that we need a much meaner and leaner document before sending it
to the IETF. Your comments will be taken as strong advice on how to produce
that.

Thanks,

Carl-Uno 

At 04:34 13.11.96 PST, you wrote:
>Carl-Uno,
>(all lists removed for my peace of mind)
>I think you have an editing job on your hands.
>
>First off, I'm not going to accept a 4-page charter. Period.
>If you can't express what you want to do in an understandable
>form in 1 page, the group doesn't have focus.
>I'll allow you another page for "administrativia", but go above
>160 lines, and I'm not going to approve it.
>
>You're free to issue an internet-draft with background material
>and reference that in the charter if you want a place to put more text.
>
>Second, wrt your working style: I can give you two choices on the
>teleconferences:
>- Either they're WG meetings, and they're open to *everyone* who
>  wants to be in on them
>- Or they're design team meetings, which may include anyone you want,
>  but are NOT mentioned explicitly in the charter.
>
>Third, scope of work:
>
>At the moment, the draft charter (as I read it) defines:
>- A service location protocol using a Web browser
>- A printer usage protocol (still unspecified)
>- A printer management protocol, partly using a Web browser
>
>Service location touches the SRVLOC WG, which has a long and confusing
>history. One of its current work items is leveraging its protocol to
>support finding printers. Coordinating with them is the least I can ask.
>
>Using a Web browser to look at and control things touches the awful mess
>called Web-based management. I'm not sure I would want you to get into
>that very deeply; the right thing to do might to write up something
>mind-bogglingly simple using HTML and HTML forms as a "suggested
>practice", and then wait for the HTTP management stuff to jell before
>revisiting the battlefield.
>(BTW, I've turned down the request for a BOF on HTTP-based management)
>
>Fourth, milestone list:
>
>- Nov 12, Dec 12 milestones are OK. We generally give just the month,
>  not the date on milestones.
>- Don't show "WG created" on the milestone list that you submit to us.
>- Show "demo of prototypes" as "at least 2 implemented prototypes".
>  We don't encourage demos at the IETF; if you want to do it then, host it
>  offsite. Fear of getting swamped, I think...
>- May 1997 should read "Submit document to the IESG for Proposed Standard"
>
>I think you have a good chance of getting a good charter out of this
>- just remove most of the explanations!
>
>                      Harald A
Carl-Uno Manros
Xerox Corporation
701 S. Aviation Blvd.
M/S: ESAE-231
El Segundo, CA 90245, USA
E-mail: [email-masked]

---

From: [email-masked]
Date: Thu, 14 Nov 1996 09:56:57 +0100

Carl-Uno,
thanks for the clarification. Looking forward to the charter submission!

               Harald A